%define momorel 2
%define qtdir /usr/lib/qt3
%define qtver 3.2.3
%define kdedir /usr
%define kdever 3.2.3
%define sourcedir stable/%{kdever}/src
%define debug 0

Name: arts
Version: 1.2.3
Summary: aRts (analog realtime synthesizer) - the KDE sound system
#Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/arts-%{version}.tar.bz2
# Mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/arts-%{version}.tar.bz2 fca8a9ec7538c4fe8e4c79767bb2a7e8
Patch2: arts-1.2.0-glib2.patch
Release: %{momorel}m
Group: System Environment/Daemons
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: audiofile, XFree86, qt >= %{qtver}
BuildPreReq: audiofile-devel, qt-devel >= %{qtver}
BuildPreReq: alsa-lib >= 0.9.0
BuildPreReq: glib-devel
Requires: arts-artsc = %{version}-%{release}
#AutoReq: off

%description
arts (analog real-time synthesizer) is the sound system of KDE 3.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.


%package devel
Group: Development/Libraries
Summary: Development files for the aRts sound server
Requires: arts = %{version}-%{release}
Requires: arts-artsc-devel = %{version}-%{release}
Requires: arts-gmcop = %{version}-%{release}
Requires: qt-devel

%description devel
arts (analog real-time synthesizer) is the sound system of KDE 3.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.

Install arts-devel if you intend to write applications using arts (such as
KDE applications using sound).

%package artsc
Group: System Environment/Libraries
Summary: Client library for the aRts sound server

%description artsc
arts (analog real-time synthesizer) is the sound system of KDE 3.
this is arts client library

%package artsc-devel
Group: System Environment/Libraries
Summary: Client library for the aRts sound server
Requires: arts-artsc = %{version}-%{release}

%description artsc-devel
arts (analog real-time synthesizer) is the sound system of KDE 3.
this is arts client library

%package gmcop
Group: System Environment/Libraries
Summary: gmcop library for the aRts sound server
Requires: arts = %{version}-%{release}

%description gmcop
arts (analog real-time synthesizer) is the sound system of KDE 3.
this is gmcop library.

%prep
rm -rf %{buildroot}

%setup -q
#%%patch2 -p1 -b .glib2

# make -f admin/Makefile.common cvs

%build
export PATH=`pwd`:$PATH
export CFLAGS="%{optflags} -D_GNU_SOURCE"
export CXXFLAGS="%{optflags} -fno-exceptions -fno-check-new -D_GNU_SOURCE"
# gcc-3.3 with ssp causes internal compiler error...
if [ `gcc -dumpversion` = 3.3 ]; then
CFLAGS="$CFLAGS -fno-stack-protector"
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
fi

./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--disable-debug \
	--with-xinerama \
	--with-alsa \
	--enable-final

%make 

%install
rm -rf %{buildroot}

export PATH=`pwd`:$PATH
%makeinstall


export FLAGS="%{optflags} -fno-rtti -fno-exceptions -fno-check-new"
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" ./configure \
	--prefix=%{_prefix} \
	--enable-static \
	--disable-debug \
	--disable-shared \
	--enable-final

cd artsc
make clean
make
install -m 644 .libs/libartsc.a %{buildroot}%{_libdir}
cd ..

chmod a+x %{buildroot}%{_libdir}/*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.3-2m)
- remove Epoch

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.2-1m)
- KDE 3.2.3

* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.1-2m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.1-1m)
- KDE 3.2.1 Release
- Remove Patch0,1 (we don't need now)
- import Patch2 from Fedora

* Tue Feb 17 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.0-2m)
- import arts-1.1.5-auotdetect-level.patch from turbolinux
   ( http://pkgcvs.turbolinux.co.jp/~go/Kernel26/SRPMS/arts-1.1.5-3.src.rpm )
- add comments for above patch
- comment "make cvs" out

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.0-1m)
- KDE 3.2.0
- %%{_bindir}/testdhandle is commented

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.5-1m)
- kde-3.1.5

* Fri Dec 5 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.1.4-2m)
- rebuild against for qt-3.2.3

* Fri Sep 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (1.1.4-1m)
- update to 1.1.4

* Mon Sep  8 2003 zunda <zunda at freeshell.org>
- (kossori)
- glib-devel is needed to get gmcop compiled

* Wed Jul 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.3-1m)
- update to 1.1.3 (KDE-3.1.3)
  - changes are
    * GCC 3.4 compile fixes, compiler warning fixes
    * #59184: Allow the application to query if the server is suspended.
    * #59183: arts_suspend() returns 0 if arts doesn't have device open.
    * #60636: add -V command line switch to set initial volume.
    * #53905: Compilation fix
    * Build system update
- revise CFLAGS and CXXFLAGS

* Sun Jun 29 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.2-2m)
- add -fno-stack-protector if gcc is 3.3

* Thu May 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.2-1m)
- KDE-3.1.2
- update to 1.1.2
   no changes after 1.1.1

* Sun Mar 21 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.1-1m)
- update to 3.1.1
    Several memory corruption fixes.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.0.5a-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.0.4-1m)
- ver up.

* Fri Sep  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-4m)
- create arts-gmcop package

* Sat Aug 31 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-3m)
- create arts-artsc arts-artsc-devel package

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-2m)
- rebuild against alsa-0.9
- never use 'AutoReq: off'

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.0.3-1m)
- ver up.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.0.2-1m)
- ver up.
- add Requires: XFree86.

* Sun Jun 09 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.0.1-2k)
- ver up.

* Wed Apr 03 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.0.0-2k)
- ver up.
- add BuildPrereq: ccache 

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (0.9.9-2k)

%files
%defattr(-,root,root)
%{_bindir}/artsshell
%{_bindir}/artsd
%{_bindir}/artswrapper
%{_bindir}/artscat
%{_bindir}/artsrec
%{_bindir}/artsplay
#%{_bindir}/testdhandle
%{_libdir}/mcop
%{_libdir}/libmcop.so.*
%{_libdir}/libmcop_mt.so.*
%{_libdir}/libqtmcop.so.*
%{_libdir}/libartscbackend.so.*
%{_libdir}/libsoundserver_idl.so.*
%{_libdir}/libartsflow.so.*
%{_libdir}/libartsflow_idl.so.*
%{_libdir}/libartswavplayobject.so.*
%{_libdir}/libartsgslplayobject.so.*
%{_libdir}/libkmedia2.so.*
%{_libdir}/libkmedia2_idl.so.*
%{_libdir}/libx11globalcomm.so.*

%files gmcop
%defattr(-,root,root)
%{_libdir}/libgmcop.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/mcopidl
%{_libdir}/libartscbackend.so
%{_libdir}/libartscbackend.*a
%{_libdir}/libmcop.so
%{_libdir}/libmcop.*a
%{_libdir}/libmcop_mt.so
%{_libdir}/libmcop_mt.*a
%{_libdir}/libgmcop.so
%{_libdir}/libgmcop.*a
%{_libdir}/libqtmcop.so
%{_libdir}/libqtmcop.*a
%{_libdir}/libsoundserver_idl.so
%{_libdir}/libsoundserver_idl.*a
%{_libdir}/libartsflow.so
%{_libdir}/libartsflow.*a
%{_libdir}/libartsflow_idl.so
%{_libdir}/libartsflow_idl.*a
%{_libdir}/libartswavplayobject.so
%{_libdir}/libartswavplayobject.*a
%{_libdir}/libartsgslplayobject.so
%{_libdir}/libartsgslplayobject.*a
%{_libdir}/libkmedia2.so
%{_libdir}/libkmedia2.*a
%{_libdir}/libkmedia2_idl.so
%{_libdir}/libkmedia2_idl.*a
%{_libdir}/libx11globalcomm.so
%{_libdir}/libx11globalcomm.*a
%{_includedir}/arts

%files artsc
%defattr(-,root,root)
%{_bindir}/artsdsp
%{_libdir}/libartsc.so.*
%{_libdir}/libartsdsp.so.*
%{_libdir}/libartsdsp_st.so.*

%files artsc-devel
%defattr(-,root,root)
%{_bindir}/artsc-config
%{_libdir}/libartsc.*a
%{_libdir}/libartsc.so
%{_libdir}/libartsdsp.*a
%{_libdir}/libartsdsp.so
%{_libdir}/libartsdsp_st.*a
%{_libdir}/libartsdsp_st.so
%{_includedir}/artsc
